## com.vividsolutions.jts.noding
Class FastNodingValidator

    java.lang.Object
      com.vividsolutions.jts.noding.FastNodingValidator

public class FastNodingValidator
extends java.lang.Object

Validates that a collection of `SegmentString`s is correctly noded. Indexing is used to improve performance. This class assumes that at least one round of noding has already been performed (which may still leave intersections, due to rounding issues). Does NOT check a-b-a collapse situations. Also does not check for endpt-interior vertex intersections. This should not be a problem, since the noders should be able to compute intersections between vertices correctly. User may either test the valid condition, or request that a `TopologyException` be thrown.

Version:
  1.7

Constructor Summary
`FastNodingValidator(java.util.Collection segStrings)`

Method Summary
`void` `checkValid()` Checks for an intersection and throws a TopologyException if one is found.
`java.lang.String` `getErrorMessage()` Returns an error message indicating the segments containing the intersection.
`boolean` `isValid()` Checks for an intersection and reports if one is found.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FastNodingValidator

    public FastNodingValidator(java.util.Collection segStrings)

Method Detail

### isValid

    public boolean isValid()

  Checks for an intersection and reports if one is found.

  Returns:
    true if the arrangement contains an interior intersection

### getErrorMessage

    public java.lang.String getErrorMessage()

  Returns an error message indicating the segments containing the intersection.

  Returns:
    an error message documenting the intersection location

### checkValid

    public void checkValid()

  Checks for an intersection and throws a TopologyException if one is found.

  Throws:
    `TopologyException` - if an intersection is found